%% 1D blazed grating example (illumination derivatives)
%% This simple driver directly starts the simulation 

results = jcmwave_solve('project.jcmp');
fourierTransform_transmitted = results{2};

%% primary Fourier coefficients of the two fields
ft_s = fourierTransform_transmitted.ElectricFieldStrength{1};
ft_p = fourierTransform_transmitted.ElectricFieldStrength{2};

%% lambda0-derivatives (in nm) of the Fourier coefficients of the two fields
dLambda0_ft_s =  fourierTransform_transmitted.d_Lambda0.ElectricFieldStrength{1};
dLambda0_ft_p =  fourierTransform_transmitted.d_Lambda0.ElectricFieldStrength{2};

%% theta-derivatives of the Fourier coefficients of the two fields
dTheta_ft_s =  fourierTransform_transmitted.d_Theta.ElectricFieldStrength{1};
dTheta_ft_p =  fourierTransform_transmitted.d_Theta.ElectricFieldStrength{2};

%% phi-derivatives of the Fourier coefficients of the two fields
dPhi_ft_s =  fourierTransform_transmitted.d_Phi.ElectricFieldStrength{1};
dPhi_ft_p =  fourierTransform_transmitted.d_Phi.ElectricFieldStrength{2};

%% AngleAlpha-derivatives of the Fourier coefficients of the two fields
dAlpha_ft_s =  fourierTransform_transmitted.d_Alpha.ElectricFieldStrength{1};
dAlpha_ft_p =  fourierTransform_transmitted.d_Alpha.ElectricFieldStrength{2};

%% AngleBeta-derivatives of the Fourier coefficients of the two fields
dBeta_ft_s =  fourierTransform_transmitted.d_Beta.ElectricFieldStrength{1};
dBeta_ft_p =  fourierTransform_transmitted.d_Beta.ElectricFieldStrength{2};

%% Height-derivatives of the Fourier coefficients of the two fields
dHeight_ft_s =  fourierTransform_transmitted.d_Height.ElectricFieldStrength{1};
dHeight_ft_p =  fourierTransform_transmitted.d_Height.ElectricFieldStrength{2};

%% Width-derivatives of the Fourier coefficients of the two fields
dWidth_ft_s =  fourierTransform_transmitted.d_Width.ElectricFieldStrength{1};
dWidth_ft_p =  fourierTransform_transmitted.d_Width.ElectricFieldStrength{2};

