## 1D Blazed Grating example
## Computation derivatives with respect to wavelength
## and incidence angles
 
keys = {}

## vacuum wavelengths
keys['lambda0'] = 193e-9

## incidence angles
keys['theta'] = 0
keys['phi'] = 0 

## differentiation order
keys['dOrder'] = 1

## get results including derivatives
result = jcmwave.solve('project.jcmp', keys);

fourier_transform = result[1];

t_s = np.sum(abs(fourierTransform['ElectricFieldStrength'][0])**2, axis=1)
t_p = np.sum(abs(fourierTransform['ElectricFieldStrength'][1])**2, axis=1)

t_s_dLambda0 = np.sum(abs(fourierTransform['d_Lambda0_ElectricFieldStrength'][0])**2, axis=1)
t_p_dLambda0 = np.sum(abs(fourierTransform['d_Lambda0_ElectricFieldStrength'][1])**2, axis=1)

t_s_dTheta = np.sum(abs(fourierTransform['d_Theta_ElectricFieldStrength'][0])**2, axis=1)
t_p_dTheta = np.sum(abs(fourierTransform['d_Theta_ElectricFieldStrength'][1])**2, axis=1)

t_s_dPhi = np.sum(abs(fourierTransform['d_Phi_ElectricFieldStrength'][0])**2, axis=1)
t_p_dPhi = np.sum(abs(fourierTransform['d_Phi_ElectricFieldStrength'][1])**2, axis=1)

t_s_dHeight= np.sum(abs(fourierTransform['d_Height_ElectricFieldStrength'][0])**2, axis=1)
t_p_dHeight= np.sum(abs(fourierTransform['d_Height_ElectricFieldStrength'][1])**2, axis=1)

t_s_dWidth = np.sum(abs(fourierTransform['d_Width_ElectricFieldStrength'][0])**2, axis=1)
t_p_dWidth = np.sum(abs(fourierTransform['d_Width_ElectricFieldStrength'][1])**2, axis=1)

t_s_dAlpha = np.sum(abs(fourierTransform['d_Alpha_ElectricFieldStrength'][0])**2, axis=1)
t_p_dAlpha = np.sum(abs(fourierTransform['d_Alpha_ElectricFieldStrength'][1])**2, axis=1)

t_s_dBeta = np.sum(abs(fourierTransform['d_Beta_ElectricFieldStrength'][0])**2, axis=1)
t_p_dBeta = np.sum(abs(fourierTransform['d_Beta_ElectricFieldStrength'][1])**2, axis=1)
