import numpy as np
import jcmwave

## 1D Grating example
## This simple driver directly starts the simulation 
 
result = jcmwave.solve('project.jcmp');
fourierTransform = result[1];

## primary Fourier coefficients of the two fields
t_s = np.sum(abs(fourierTransform['ElectricFieldStrength'][0])**2, axis=1)
t_p = np.sum(abs(fourierTransform['ElectricFieldStrength'][1])**2, axis=1)

## lambda0-derivatives of the Fourier coefficients of the two fields
t_s_dLambda0 = np.sum(abs(fourierTransform['d_Lambda0']['ElectricFieldStrength'][0])**2, axis=1)
t_p_dLambda0 = np.sum(abs(fourierTransform['d_Lambda0']['ElectricFieldStrength'][1])**2, axis=1)

## theta-derivatives of the Fourier coefficients of the two fields
t_s_dTheta = np.sum(abs(fourierTransform['d_Theta']['ElectricFieldStrength'][0])**2, axis=1)
t_p_dTheta = np.sum(abs(fourierTransform['d_Theta']['ElectricFieldStrength'][1])**2, axis=1)

## phi-derivatives of the Fourier coefficients of the two fields
t_s_dPhi = np.sum(abs(fourierTransform['d_Phi']['ElectricFieldStrength'][0])**2, axis=1)
t_p_dPhi = np.sum(abs(fourierTransform['d_Phi']['ElectricFieldStrength'][1])**2, axis=1)

## Angle1-derivatives of the Fourier coefficients of the two fields
t_s_dAngle1 =  np.sum(abs(fourierTransform['d_Angle1']['ElectricFieldStrength'][0])**2, axis=1)
t_p_dAngle1 =  np.sum(abs(fourierTransform['d_Angle1']['ElectricFieldStrength'][1])**2, axis=1)

## Angle2-derivatives of the Fourier coefficients of the two fields
t_s_dAngle2 =  np.sum(abs(fourierTransform['d_Angle2']['ElectricFieldStrength'][0])**2, axis=1)
t_p_dAngle2 =  np.sum(abs(fourierTransform['d_Angle2']['ElectricFieldStrength'][1])**2, axis=1)
