import sys
import os
try:
    sys.path.append(os.path.join(os.getenv('JCMROOT'), 'ThirdPartySupport', 'Python'))
except:
    pass

import jcmwave
import numpy as np

## 1D grating example (illumination derivatives)
## This simple driver directly starts the simulation 

results = jcmwave.solve('project.jcmp')
fourierTransform_transmitted = results[1]

## primary Fourier coefficients of the two fields
ft_s = fourierTransform_transmitted['ElectricFieldStrength'][0]
ft_p = fourierTransform_transmitted['ElectricFieldStrength'][1]

## lambda0-derivatives of the Fourier coefficients of the two fields
dLambda0_ft_s =  fourierTransform_transmitted['d_Lambda0']['ElectricFieldStrength'][0]
dLambda0_ft_p =  fourierTransform_transmitted['d_Lambda0']['ElectricFieldStrength'][1]

## theta-derivatives of the Fourier coefficients of the two fields
dTheta_ft_s =  fourierTransform_transmitted['d_Theta']['ElectricFieldStrength'][0]
dTheta_ft_p =  fourierTransform_transmitted['d_Theta']['ElectricFieldStrength'][1]

## phi-derivatives of the Fourier coefficients of the two fields
dPhi_ft_s =  fourierTransform_transmitted['d_Phi']['ElectricFieldStrength'][0]
dPhi_ft_p =  fourierTransform_transmitted['d_Phi']['ElectricFieldStrength'][1]

## PatternWidthTop-derivatives of the Fourier coefficients of the two fields
dPatternWidthTop_ft_s =  fourierTransform_transmitted['d_PatternWidthTop']['ElectricFieldStrength'][0]
dPatternWidthTop_ft_p =  fourierTransform_transmitted['d_PatternWidthTop']['ElectricFieldStrength'][1]

## PatternHeight-derivatives of the Fourier coefficients of the two fields
dPatternHeight_ft_s =  fourierTransform_transmitted['d_PatternHeight']['ElectricFieldStrength'][0]
dPatternHeight_ft_p =  fourierTransform_transmitted['d_PatternHeight']['ElectricFieldStrength'][1]
