import numpy as np
import matplotlib.pyplot as plt
import jcmwave

jcmwave.solve('heat/project.jcmp');
jcmwave.solve('Reference/project.jcmp');
results = jcmwave.solve('project.jcmp');

colors = ['red','green']
labels = ['T=293K','T profile']
for idx,path in enumerate(['project_results/mode_slice.jcm',
                           'Reference/project_results/mode_slice.jcm']): 
    f=jcmwave.loadcartesianfields(path);
    intensity = np.sum(np.abs(f['field'][0])**2,axis=1)
    intensity=intensity/np.max(intensity)
    plt.plot(f['X']*1e6,intensity,color=colors[idx],label=labels[idx],lineWidth=2)
        
plt.title('Mode cross section')
plt.xlabel('x [um]');
plt.ylabel('intensity [a.u.]');
plt.legend();
plt.show()
