import sys
import os
try:
    sys.path.append(os.path.join(os.getenv('JCMROOT'), 'ThirdPartySupport', 'Python'))
except:
    pass

import numpy as np
import jcmwave

## 3D quantum dot emitter (2D model)
## This simple driver directly starts the simulation
results = jcmwave.solve('project.jcmp')

emission=results[1]['DipoleEmission']
radiation=results[3]['Radiation']
 
print('\n\n*** Total efficiency (radiation NA=1)')
xyz='xyz'
for iX in range(3):
  efficiency=np.sum(radiation[iX])/emission[iX];
  print('{}-polarized dipole: {:2.4e}'.format(xyz[iX], efficiency)) 
