import sys
import os
try:
    sys.path.append(os.path.join(os.getenv('JCMROOT'), 'ThirdPartySupport', 'Python'))
except:
    pass

import numpy as np
import jcmwave

## 3D quantum dot emitter
## This simple driver directly starts the simulation
results = jcmwave.solve('project.jcmp')

emission=results[1]['DipoleEmission']
radiation=results[3]['Radiation']
 
## the Purcell factor is the quotient between the dipole emission in the cavity
## and the emission of a dipole in a homogeneous space with the background material
## at the dipole position
emission_background=results[1]['DipoleBulkEmission']
purcell_factor = emission/emission_background


print('\n\n*** Purcell factors')
xyz = 'xyz';
for iX in range(3):
  print('{}-polarized dipole: {:2.4e}'.format(xyz[iX], purcell_factor[iX]))

print('\n\n*** Total efficiency (radiation NA=1)')
for iX in range(3):
  efficiency=np.sum(radiation[iX])/emission[iX];
  print('{}-polarized dipole: {:2.4e}'.format(xyz[iX], efficiency)) 
