%% Optical chirality of a quarter-wave plate
% This simple driver directly starts the simulation
%
% This examples is taken from
% Philipp Gutsche, Lisa V. Poulikakos, Martin Hammerschmidt, Sven Burger, and Frank Schmidt. 
% Time-harmonic optical chirality in inhomogeneous space. 
% In SPIE OPTO, pages 97560X-97560X. International Society for
% Optics and Photonics, 2016.

close all;

results= jcmwave_solve('project.jcmp');

chi = 2.0*real(results{5}.field{1});
X = results{5}.X;
Y = results{5}.Y;
chi(sqrt(X.^2+Y.^2) > 1.0) = nan();
chi_0 = pi*8.85418781762e-12;

figure();
surf(X, Y, chi/chi_0);
view(2); colormap jet; shading interp;
axis equal; axis off;
colorbar; caxis([0.0 1.8]);

