

%% 2D simple solar cell example
%% This simple driver directly starts the simulation

results = jcmwave_solve('--solve', 'project.jcmp');

% incoming flux for normalization
% constants
c0   = 299792458;
mu0  = 4*pi*1e-7;
eps0 = 1/(mu0*c0^2);
Z0   = sqrt(mu0/eps0);
pitch = results{3}.header.BBox_x_max-results{3}.header.BBox_x_min;
p_in = 0.5/Z0*pitch* sqrt(results{3}.header.RelPermittivityIncoming);

%% Absorbed energy
absorption = results{2}.ElectromagneticFieldAbsorption{1}/p_in;

%% Fourier Transform
e_field = cell2mat(results{3}.ElectricFieldStrength);
km = norm(results{3}.K(ceil(end/2),:));
angles = real(acosd(-results{3}.K(:,2)/km));
refl = sum(conj(e_field).*e_field,2).'*cosd(angles);
reflection = sum(refl,1)*.5/Z0*sqrt(results{3}.header.RelPermittivity)*pitch/p_in

%% Flux outgoing
energy_flux = cell2mat(results{4}.ElectromagneticFieldEnergyFlux);
index = results{4}.DomainIdFirst == 2 & results{4}.DomainIdSecond == 3;
absorption_via_flux = real(energy_flux(index))/p_in

index = results{4}.DomainIdFirst == 2 & results{4}.DomainIdSecond == 1;
reflection_via_flux = real(p_in+energy_flux(index))/p_in

