%% Plasmonic nano rod: Approximate frequency response by resonance expansion
%% THE RESONANCE EXPANSION POST-PROCESS IS STILL IN EXPERIMENTAL STATUS

%% This driver performs a scan over wavelength of the dipole

%% vacuum wavelengths
lambdas=[0.7 : 0.01 : 1.2]*1e-6;

scaled_emissions = [];
scaled_absorptions = [];

%% assure that sub-folder project_results exists
[~,~]=mkdir(fullfile(fileparts(mfilename('fullpath')), 'project_results'));

%% compute fieldbag if not existent
if (~isdir(fullfile(fileparts(mfilename('fullpath')), '..','project_results')))
  results=jcmwave_solve('../project.jcmp');
end    

for iRun = 1 : length(lambdas)
  keys.lambda0 = lambdas(iRun);
  jcmwave_jcmt2jcm('sources.jcmt', keys);
  results=jcmwave_solve('resonance_expansion.jcmp');
  emission_background=results{2}.DipoleBulkEmission;
  scaled_emissions(end+1)=results{2}.DipoleEmission/emission_background;
  scaled_absorptions(end+1)=sum(results{3}.ElectromagneticFieldAbsorption{1})/emission_background;
end
  
%% plot the results
fig=figure();
plot(lambdas*1e6, [scaled_emissions; scaled_absorptions], 'LineWidth', 2);
legend('Radiative', 'Absorp.');
xlabel('lambda [\mu]');
ylabel('Normalized decay rates');
set(gca, 'FontSize', 12);
