%% Resonance modes for nano-antenna
%% This simple driver directly starts the simulation


results = jcmwave_solve('project.jcmp');

ev=results{1}.eigenvalues;
resonance_frequency = real(ev.eigenmode);
c0 = 299792458; 
resonance_wavelength = c0*2*pi./resonance_frequency;
quality_factor = resonance_frequency./(-2*imag(ev.eigenmode));

for iMode=1 : length(quality_factor)
  fprintf('\nQuality factor: %2.4g, @ lambda=%2.4g', quality_factor(iMode), resonance_wavelength(iMode));
end
fprintf('\n');
