import sys
import os
try:
    sys.path.append(os.path.join(os.getenv('JCMROOT'), 'ThirdPartySupport', 'Python'))
except:
    pass

import numpy as np
import jcmwave

## Resonance modes for nano-antenna
## This simple driver directly starts the simulation
results = jcmwave.solve('project.jcmp')

ev=results[0]['eigenvalues']
resonance_frequency = np.real(ev['eigenmode'])
c0 = 299792458; 
resonance_wavelength = c0*2*np.pi/resonance_frequency
quality_factor = resonance_frequency/(-2*np.imag(ev['eigenmode']))

for iMode in range(len(quality_factor)):
    print('Quality factor: {:2.4g}, @ lambda={:2.4g}'.format(
        quality_factor[iMode], resonance_wavelength[iMode]))
