import sys
import os
try:
    sys.path.append(os.path.join(os.getenv('JCMROOT'), 'ThirdPartySupport', 'Python'))
except:
    pass

import numpy as np
import jcmwave

## Through Silicon Via
## This simple driver directly starts the simulation

results = jcmwave.solve('project.jcmp');

## Reflection of s-polarized incident wave
FC = results[1]['ElectricFieldStrength'][0];
refl = np.sum(np.real(FC)**2 + np.imag(FC)**2,axis=0)

## Derivative of reflection wrt. radius
dFC = results[1]['d_Radius']['ElectricFieldStrength'][0]
drefl = np.sum(2*(np.real(FC)*np.real(dFC) + np.imag(FC)*np.imag(dFC)),axis=0)
