%% 3D quantum dot emitter (exploiting rotational symmetry)
%% This simple driver directly starts the simulation


results = jcmwave_solve('project.jcmp');

emission=results{2}.DipoleEmission;
radiation=results{4}.Radiation;
 
%% the Purcell factor is the quotient between the dipole emission in the cavity
%% and the emission of a dipole in a homogeneous space with the background material
%% at the dipole position
emission_background=results{2}.DipoleBulkEmission;
purcell_factor=emission./emission_background;

fprintf('\n\n*** Purcell factors');
xyz = 'xyz';
for iX=1 : 3
  fprintf('\n%c-polarized dipole: %2.4e', xyz(iX), purcell_factor(iX))
end

fprintf('\n\n*** Total efficiency (radiation NA=1)');
for iX=1 : 3
  efficiency=sum(radiation{iX})/emission(iX);
  fprintf('\n%c-polarized dipole: %2.4e', xyz(iX), efficiency); 
end
fprintf('\n');
