%% 3D nano antenna (exploiting rotational symmetry)
%% This simple driver directly starts the simulation
%%
%% This examples is taken from
%% C. Sauvan, J. P. Hugonin, I. S. Maksymov, and P. Lalanne, 
%% Theory of the Spontaneous Optical Emission of Nanosize Photonic and Plasmon Resonators*, 
%%   Phys. Rev. Lett. 110, 237401

results = jcmwave_solve('project.jcmp');

emission=results{2}.DipoleEmission;
emission_background=results{2}.DipoleBulkEmission;
absorption=sum(results{3}.ElectromagneticFieldAbsorption{1});
 

fprintf('\nradiative decay rate: %2.4e', emission./emission_background);
fprintf('\nabsorptive decay rate: %2.4e', absorption./emission_background);

fprintf('\n');
