import sys
import os
try:
    sys.path.append(os.path.join(os.getenv('JCMROOT'), 'ThirdPartySupport', 'Python'))
except:
    pass

import numpy as np
import jcmwave

## 3D nano antenna (exploiting rotational symmetry)
## This simple driver directly starts the simulation
##
## This examples is taken from
## C. Sauvan, J. P. Hugonin, I. S. Maksymov, and P. Lalanne, 
## Theory of the Spontaneous Optical Emission of Nanosize Photonic and Plasmon Resonators*, 
##   Phys. Rev. Lett. 110, 237401
results = jcmwave.solve('project.jcmp')

emission=results[1]['DipoleEmission'][0]
emission_background=results[1]['DipoleBulkEmission'][0]
absorption=np.sum(results[2]['ElectromagneticFieldAbsorption'][0])
 
print('radiative decay rate: {:2.4e}'.format(emission/emission_background))
print('absorptive decay rate: {:2.4e}'.format(absorption/emission_background))
