import jcmwave
import numpy as np

# compute first the incoming mode (1D/project.jcmp)
# and afterwards run the scattering problem 
results = jcmwave.solve(['1D/project.jcmp', 'project.jcmp']);

results=results[1] # drop results of mode problem
mode_overlap=results[1];


# get port ordering:
port_names='lower_left', 'lower_right', 'upper_left', 'upper_right'

port_indices=[]
for iPort in range(0, len(mode_overlap['header']['PortNormal'])):
  i1=mode_overlap['header']['PortNormal'][iPort][1]>0.0
  i2=mode_overlap['header']['PortPosition'][iPort][0]>0.0
  port_indices.insert(2*i2[0]+i1[0], iPort)


print('\n*** scattering matrix: ');
for iInPort in range(0, 4):
  iInPort_=port_indices[iInPort]
  for iOutPort in range(0, 4):
    mode_fluxes=mode_overlap['ModeCoefficients_Port%d_Source' % (iOutPort+1)]
    flux_out=np.sum(abs(mode_fluxes[iInPort_])**2)
    print('%s --> %s: %2.4g' % (port_names[iInPort], port_names[iOutPort], flux_out))
print('')
